<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__rtc__alarm__functions" kind="group">
    <compoundname>group_rtc_alarm_functions</compoundname>
    <title>Alarm</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__rtc__alarm__functions_1ga92807dc709c679c70c07d44cf0331a94" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__rtc__enums_1ga45a1b113f07f81bc369d7bf9da75eaae">cy_en_rtc_status_t</ref></type>
        <definition>cy_en_rtc_status_t Cy_RTC_SetAlarmDateAndTime</definition>
        <argsstring>(cy_stc_rtc_alarm_t const *alarmDateTime, cy_en_rtc_alarm_t alarmIndex)</argsstring>
        <name>Cy_RTC_SetAlarmDateAndTime</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__rtc__alarm__t">cy_stc_rtc_alarm_t</ref> const *</type>
          <declname>alarmDateTime</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__rtc__enums_1gad3785b5ad8bf1b0d49cc5f639176db5f">cy_en_rtc_alarm_t</ref></type>
          <declname>alarmIndex</declname>
        </param>
        <briefdescription>
<para>Sets alarm time and date values into the ALMx_TIME and ALMx_DATE registers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>alarmDateTime</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm configuration structure, see <ref kindref="compound" refid="structcy__stc__rtc__alarm__t">cy_stc_rtc_alarm_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>alarmIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm index to be configured, see <ref kindref="member" refid="group__group__rtc__enums_1gad3785b5ad8bf1b0d49cc5f639176db5f">cy_en_rtc_alarm_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A validation check result of date and month. Returns an error, if the date range is invalid. See <ref kindref="member" refid="group__group__rtc__enums_1ga45a1b113f07f81bc369d7bf9da75eaae">cy_en_rtc_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="282" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_rtc.c" bodystart="210" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="557" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__rtc__alarm__functions_1ga5d29c0bfa51f4afd969d448d13f502bd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_RTC_GetAlarmDateAndTime</definition>
        <argsstring>(cy_stc_rtc_alarm_t *alarmDateTime, cy_en_rtc_alarm_t alarmIndex)</argsstring>
        <name>Cy_RTC_GetAlarmDateAndTime</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__rtc__alarm__t">cy_stc_rtc_alarm_t</ref> *</type>
          <declname>alarmDateTime</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__rtc__enums_1gad3785b5ad8bf1b0d49cc5f639176db5f">cy_en_rtc_alarm_t</ref></type>
          <declname>alarmIndex</declname>
        </param>
        <briefdescription>
<para>Returns the current alarm time and date values from the ALMx_TIME and ALMx_DATE registers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>alarmDateTime</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm configuration structure, see <ref kindref="compound" refid="structcy__stc__rtc__alarm__t">cy_stc_rtc_alarm_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>alarmIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm index to be configured, see <ref kindref="member" refid="group__group__rtc__enums_1gad3785b5ad8bf1b0d49cc5f639176db5f">cy_en_rtc_alarm_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="447" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_rtc.c" bodystart="299" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="558" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__rtc__alarm__functions_1ga67d28741bf5b0bee6be7b2e4ce45ef77" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__rtc__enums_1ga45a1b113f07f81bc369d7bf9da75eaae">cy_en_rtc_status_t</ref></type>
        <definition>cy_en_rtc_status_t Cy_RTC_SetAlarmDateAndTimeDirect</definition>
        <argsstring>(uint32_t sec, uint32_t min, uint32_t hour, uint32_t date, uint32_t month, cy_en_rtc_alarm_t alarmIndex)</argsstring>
        <name>Cy_RTC_SetAlarmDateAndTimeDirect</name>
        <param>
          <type>uint32_t</type>
          <declname>sec</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>min</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>hour</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>date</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>month</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__rtc__enums_1gad3785b5ad8bf1b0d49cc5f639176db5f">cy_en_rtc_alarm_t</ref></type>
          <declname>alarmIndex</declname>
        </param>
        <briefdescription>
<para>Sets alarm time and date values into the ALMx_TIME and ALMx_DATE registers using direct time parameters. </para>        </briefdescription>
        <detaileddescription>
<para>ALM_DAY_EN is default 0 (=ignore) for this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>sec</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm second valid range is [0-59].</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>min</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm minute valid range is [0-59].</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hour</parametername>
</parameternamelist>
<parameterdescription>
<para>The valid range is [0-23]. This parameter type is always in the 24-hour type. This function reads the current 12/24-hour mode, then converts the hour value properly as the mode.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>date</parametername>
</parameternamelist>
<parameterdescription>
<para>The valid range is [1-31], if the month of February is selected as the Month parameter, then the valid range is [0-29].</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>month</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm month valid range is [1-12].</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>alarmIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The alarm index to be configured, see <ref kindref="member" refid="group__group__rtc__enums_1gad3785b5ad8bf1b0d49cc5f639176db5f">cy_en_rtc_alarm_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A validation check result of date and month. Returns an error, if the date range is invalid. See <ref kindref="member" refid="group__group__rtc__enums_1ga45a1b113f07f81bc369d7bf9da75eaae">cy_en_rtc_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="672" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_rtc.c" bodystart="600" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="559" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>